package cn.iocoder.yudao.module.system.dal.mysql.yk;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.yk.vo.FundedElderlyInfoPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.yk.YkFundedElderlyInfoDO;
import org.apache.ibatis.annotations.Mapper;


/**
 * 自费长者信息 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface YkFundedElderlyInfoMapper extends BaseMapperX<YkFundedElderlyInfoDO> {

    default PageResult<YkFundedElderlyInfoDO> selectPage(FundedElderlyInfoPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<YkFundedElderlyInfoDO>()
                .likeIfPresent(YkFundedElderlyInfoDO::getName, reqVO.getName())
                .eqIfPresent(YkFundedElderlyInfoDO::getPhone, reqVO.getPhone())
                .eqIfPresent(YkFundedElderlyInfoDO::getIdCard, reqVO.getIdCard())
                .eqIfPresent(YkFundedElderlyInfoDO::getMealFee, reqVO.getMealFee())
                .eqIfPresent(YkFundedElderlyInfoDO::getDeliveryFee, reqVO.getDeliveryFee())
                .eqIfPresent(YkFundedElderlyInfoDO::getAddress, reqVO.getAddress())
                .inIfPresent(YkFundedElderlyInfoDO::getTenantId, reqVO.getTenantIds())
                .betweenIfPresent(YkFundedElderlyInfoDO::getCreatedTime, reqVO.getCreatedTime())
                .betweenIfPresent(YkFundedElderlyInfoDO::getUpdatedTime, reqVO.getUpdatedTime())
                .orderByDesc(YkFundedElderlyInfoDO::getId));
    }

}